package com.jscape.inet.proxy.socks.protocol.v4.messages;

import java.net.Inet4Address;

/**
 * @author Alex Usun
 */
public class BindRequest
        extends CommandRequest {

    public BindRequest(int port, Inet4Address ip, String userId) {
        super(port, ip, userId);
    }

    @Override
    public String toString() {
        return "BindRequest {"
               + "port=" + this.port
               + ", ip=" + this.ip
               + ", userId='" + this.userId + '\''
               + '}';
    }
}
